Subject: Re: bug#16737: Timed out waiting for reply from selection owner

From: Nicolas Richard <[email-masked]>
Date: Wed, 28 Jan 2015 10:54:17 +0100

Vincent Bernat <[email-masked]> writes:
> Larger values work too, but it takes more time to get the pasted
> result. If I put 100, it takes about 2 second to get the paste
> event. Maybe keeping 5000 would work too but I don't have the patience
> for Emacs to unstuck. The bug comes and goes and since I do everything
> in Emacs, I cannot keep it live for too long.

I think that what you regard as "it works" is in fact "it fails
faster" : you still can't yank into emacs something that you copied from
some other X thing. Setting
(setq x-select-enable-primary nil
      x-select-enable-clipboard nil
      save-interprogram-paste-before-kill nil)
should give you the same speedup.

-- 
Nicolas Richard